Subject: Search reference question

From: [email-masked]
Date: Mon, 7 Feb 2000 15:36:14 -0500

Section 4.5.3. of RFC 2251 states:
     In order to complete the search, the client MUST issue a new search
     operation for each SearchResultReference that is returned.

Can someone help me with the interpretation.  Does this mean that if a
client receives a SearchResultReference it MUST issue a new search
operation to the referenced server?  Or rather, if the client wishes to
complete the search it MUST (really should) issue a new search operation?

Thanks,
Scott M Davidson
Iris Associates

[email-masked]
(978) 392-5436
Five Technology Park Drive
Westford, MA  01886

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 07 Feb 2000 13:12:42 -0800

>complete the search it MUST (really should) issue a new search operation?

The MUST does not require the operation to be completed nor state
when the client should attempt to complete the operation.  The
MUST says what the client MUST do to complete the operation.

The client may choose (or be required*) not to complete any operation.

* RFC 2251, Section 6.2.  
   They [clients] MUST NOT repeatedly contact the same server for
   the same request with the same target entry name, scope and filter.

Note: the first sentence of 6.2:
   Clients which request referrals MUST ensure that they do not loop
   between servers.

should, IMO, be reworded in RFC 2251bis to:
   Clients which chase referrals and/or references MUST ensure that
   type do not loop between servers.